commit:     242c08206dd5776d55c3d7b6dea9a79ec8e7e98b
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Tue Sep 15 09:57:31 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Tue Sep 15 14:03:49 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=242c0820

sci-libs/clipper: Version Bump

Package-Manager: portage-2.2.20.1
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 sci-libs/clipper/Manifest                    |  1 +
 sci-libs/clipper/clipper-2.1.20140911.ebuild | 57 ++++++++++++++++++++++++++++
 2 files changed, 58 insertions(+)

diff --git a/sci-libs/clipper/Manifest b/sci-libs/clipper/Manifest
index 94373a7..f0a7970 100644
--- a/sci-libs/clipper/Manifest
+++ b/sci-libs/clipper/Manifest
@@ -1 +1,2 @@
 DIST clipper-2.1-100511-ac.tar.gz 993754 SHA256 
00d470af423c015022934d5a12fde36c86d5729227f41e1139d7c6513368b7aa SHA512 
a4e7d49e55a49813cf640c9384a5630352a5bbda773334681aff87a2a8f70d2eaedda5715b3546231747b49d76c58c2a3afe6010cf156c63d62b1b9500c0c802
 WHIRLPOOL 
e0a8377702c573d39f4f62d8f5e214676f6c323f24d39c1bfdca81b574cf26f12f7444f21c92b53fad38e8cedb14a9befaf65131b5b6055ace28d8b217ed564c
+DIST clipper-2.1.20140911.tar.gz 1922753 SHA256 
ced2b2f3a9480805bd111f454742a7152b21212d9749fd5e8fb11e40ecbcd9cf SHA512 
1306bd68d40ea6a7d828f58ce276d6f5d05637af8712eeec3528cf0e4b637263b8ab068ec132765fc4167723bf1d43cbb9ffe0eca43dea3742ec273f34947912
 WHIRLPOOL 
cc867a96b8e4a7229a51131292f18db2e5a2398569734347f671078853e5b4a6470e426cbd5c8f49d38a65497270c08118ecf409bc0509bbca98c4df15fc0bc7

diff --git a/sci-libs/clipper/clipper-2.1.20140911.ebuild 
b/sci-libs/clipper/clipper-2.1.20140911.ebuild
new file mode 100644
index 0000000..ee35ee1
--- /dev/null
+++ b/sci-libs/clipper/clipper-2.1.20140911.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+#AUTOTOOLS_AUTORECONF=true
+
+FORTRAN_NEEDED=fortran
+
+inherit autotools-utils eutils fortran-2 flag-o-matic
+
+#MY_PV=${PV/_p/-}
+#MY_P="${PN}-${MY_PV}"
+
+DESCRIPTION="Object-oriented libraries for crystallographic data and 
crystallographic computation"
+HOMEPAGE="http://www.ysbl.york.ac.uk/~cowtan/clipper/clipper.html";
+SRC_URI="ftp://ftp.ccp4.ac.uk/opensource/${P}.tar.gz";
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="fortran static-libs test"
+
+RDEPEND="
+       sci-libs/libccp4
+       sci-libs/fftw:2.1
+       sci-libs/mmdb:2"
+DEPEND="${RDEPEND}
+       test? ( app-shells/tcsh )"
+
+src_configure() {
+       # Recommended on ccp4bb/coot ML to fix crashes when calculating maps
+       # on 64-bit systems
+       append-flags -fno-strict-aliasing
+
+       local myeconfargs=(
+#              --enable-cctbx
+               --enable-ccp4
+               --enable-cif
+               --enable-cns
+               --enable-contrib
+               --enable-minimol
+               --enable-mmdb
+               --enable-phs
+               $(use_enable fortran)
+               )
+       autotools-utils_src_configure
+}
+
+src_test() {
+       emake -C "${AUTOTOOLS_BUILD_DIR}"/examples check
+       cd "${AUTOTOOLS_BUILD_DIR}"/examples || die
+       cp "${S}"/examples/{test.csh,*mtz} . || die
+       sed -e '/mtzdump/d' -i test.csh || die
+       PATH="${AUTOTOOLS_BUILD_DIR}/examples:${PATH}" csh test.csh || die
+}

Reply via email to